.toggle {
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  width: 210px;
}
.toggle span.switcher {
  position: relative;
  width: 200px;
  height: 55px;
  border-radius: 25px;
  margin: 20px 0;
}
.toggle span.switcher input {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  position: relative;
  width: 200px;
  height: 50px;
  border-radius: 25px;
  background-color: #1E1E1E;
  outline: none;
  font-family: "Oswald", sans-serif;
}
.toggle span.switcher input:before, .toggle span.switcher input:after {
  z-index: 2;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  color: #FFFFFF;
}
.toggle span.switcher input:before {
  content: "Sign up";
  left: 20px;
}
.toggle span.switcher input:after {
  content: "Sign in";
  right: 20px;
}
.toggle span.switcher label {
  z-index: 1;
  position: absolute;
  top: 10px;
  bottom: 10px;
  border-radius: 20px;
}
.toggle span.switcher.switcher-1 input {
  transition: 0.25s -0.1s;
}
.toggle span.switcher.switcher-1 input:checked {
  background-color: #696969;
}
.toggle span.switcher.switcher-1 input:checked:before {
  color: #FFFFFF;
  transition: color 0.5s 0.2s;
}
.toggle span.switcher.switcher-1 input:checked:after {
  color: #CCCCCC;
  transition: color 0.5s;
}
.toggle span.switcher.switcher-1 input:checked + label {
  left: 10px;
  right: 100px;
  background: #1E1E1E;
  transition: left 0.5s, right 0.4s 0.2s;
}
.toggle span.switcher.switcher-1 input:not(:checked) {
  background: #1E1E1E;
  transition: background 0.5s -0.1s;
}
.toggle span.switcher.switcher-1 input:not(:checked):before {
  color: #CCCCCC;
  transition: color 0.5s;
}
.toggle span.switcher.switcher-1 input:not(:checked):after {
  color: #1E1E1E;
  transition: color 0.5s 0.2s;
}
.toggle span.switcher.switcher-1 input:not(:checked) + label {
  left: 100px;
  right: 10px;
  background: #FFFFFF;
  transition: left 0.4s 0.2s, right 0.5s, background 0.35s -0.1s;
}
.toggle span.switcher.switcher-2 {
  overflow: hidden;
}
.toggle span.switcher.switcher-2 input {
  transition: background-color 0s 0.5s;
}
.toggle span.switcher.switcher-2 input:before {
  color: #1E1E1E;
}
.toggle span.switcher.switcher-2 input:after {
  color: #FFFFFF;
}
.toggle span.switcher.switcher-2 input:checked {
  background-color: #FFFFFF;
}
.toggle span.switcher.switcher-2 input:checked + label {
  background: #FFFFFF;
  -webkit-animation: turn-on 0.5s ease-out;
          animation: turn-on 0.5s ease-out;
}
@-webkit-keyframes turn-on {
  0% {
    left: 100%;
  }
  100% {
    left: 0%;
  }
}
@keyframes turn-on {
  0% {
    left: 100%;
  }
  100% {
    left: 0%;
  }
}
.toggle span.switcher.switcher-2 input:not(:checked) {
  background: #1E1E1E;
}
.toggle span.switcher.switcher-2 input:not(:checked) + label {
  background: #1E1E1E;
  -webkit-animation: turn-off 0.5s ease-out;
          animation: turn-off 0.5s ease-out;
}
@-webkit-keyframes turn-off {
  0% {
    right: 100%;
  }
  100% {
    right: 0%;
  }
}
@keyframes turn-off {
  0% {
    right: 100%;
  }
  100% {
    right: 0%;
  }
}
.toggle span.switcher.switcher-2 label {
  top: 0px;
  width: 200px;
  height: 50px;
  border-radius: 25px;
}

.form{
  width: 50%;
  margin: 0 auto;
  text-align: center;
  margin-top: 100px;
}
/deep/ .mat-form-field-outline{
  color: #cfd4dc !important;
  width: 100% !important;
  height: 60px !important;
}
/deep/ .mat-form-field-infix{
  width: 300px !important;
}
/deep/ .mat-form-field-label{
  color: black;
  font-size: 18px !important;
}
input{
  font-size: 18px;
}
mat-form-field{
  display: block;
  margin: 0 auto;
  width: 40%;
}
.signInUpPage{
  overflow: hidden;
  background-color: rgb(241, 162, 14);
  height: 100%;
}
button{background-color: rgb(155, 155, 155);color: white;}
